* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Mulish", Arial, Helvetica, sans-serif;
    color: var(--color-dark)
}
:root {
    --color-dark: #031133;
    --color-light: #ffffff;
    --color-gray: #f7f8fc;
    --color-primary: #2667cb;
    --color-primary-light: #00aaed;
    --color-primary-backrgound: #144180;
    --color-secondary: #031234;

}
h1{
    color: var(--color-light);
    font-weight: bold;
    font-size: 55px;
}
h2{
    font-weight: bolder;
    font-size: 30px;
    color: var(--color-dark)
}
header{
    width: 100%;
    position: absolute;
    padding: 0px 256px;
    display: flex;
    justify-content: center;
}
.header-wrapper{
    max-width: 1400px;
    width: 100%;
}
.header-logo{
    width: 96px;
}

.hero{
    background-color: #14407f;
    height: 877px;
    padding: 128px 256px 64px 256px;
    display: flex;
    justify-content: center;
}
.hero-wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 64px;
    max-width: 1400px;
    width: 100%;
}
.hero-content{
    display: flex;
    flex-direction: column;
    gap: 64px;
    width: 700px;
}
.hero-text{
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.hero h3{
    color: var(--color-primary-light);
    font-weight: lighter;
    font-size: 30px;
}
.hero-line{
    width: 350px;
}
.hero p{
    font-weight: normal;
    font-size: 20px;
    color: var(--color-gray)
}
.hero-image{
    width: 100%;
}
.hero-content-lower{
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.hero-buttons{
    display: flex;
    gap: 16px;
    align-items: center;
}
.button-primary{
    background-color: var(--color-primary);
    color: var(--color-light);
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
    padding: 18px 36px;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    border: 2px transparent solid;
    height: min-content;
    width: fit-content;
    transition: all 500ms;
}
.button-primary:hover{
    background-color: transparent;
    border: 2px var(--color-primary) solid;
    color: var(--color-primary);
    cursor: pointer;
}
.button-secondary{
    background-color: var(--color-secondary);
    color: var(--color-light);
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
    padding: 18px 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    border: 2px transparent solid;
    height: min-content;
    width: fit-content;
    transition: all 500ms;
}
.button-secondary:hover{
    background-color: transparent;
    border: 2px var(--color-secondary) solid;
    color: var(--color-secondary);
    cursor: pointer;
}
.button-alt{
    color: var(--color-dark);
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
    padding: 18px 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    border: 2px transparent solid;
    height: min-content;
    width: fit-content;
    border: var(--color-dark) 2px solid;
    transition: all 500ms;
}
.button-alt:hover{
    background-color: var(--color-dark);
    border: 2px var(--color-dark) solid;
    color: var(--color-light);
    cursor: pointer;
}
.hero-stars{
    display: flex;
    gap: 2px;
}
.hero-star{
    width: 24px;
    height: 24px;
    fill: #FAC917;
}
.hero-stars-content{
    display: flex;
    align-items: center;
    gap: 24px;
}
.hero-stars-content p{
    color: var(--color-gray);
    font-size: 20px;
    font-weight: normal;
}

.solutions{
    padding: 128px 256px 128px 256px;
    background-color: var(--color-light);
    display: flex;
    justify-content: center;
}
.solutions-wrapper{
    display: flex;
    gap:64px;
    justify-content: space-between;
    align-items: center;
    max-width: 1400px;
    width: 100%;
}
.solutions-image{
    width: 50%;
    max-width: 600px;
    height: fit-content;
}
.solutions-content{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 600px;
}
.solutions h3{
    color: var(--color-primary);
    font-weight: normal;
    font-size: 20px;
}
.solutions p{
    font-size: 18px;
    font-weight: normal;
    color: var(--color-dark)
}
.solutions-ul-flex{
    display: flex;
    gap: 64px;
}
.solutions ul{
    list-style-position: inside;
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.solutions li{
    font-size: 18px;
    font-weight: normal;
}

.offer{
    display: flex;
    flex-direction: column;
    gap: 64px;
    align-items: center;
    background-color: var(--color-gray);
    padding: 128px 256px 128px 256px;
}
.offer-top-text{
    display: flex;
    flex-direction: column;
    gap: 16px;
    text-align: center;
}
.offer-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: 16px;
    max-width: 1400px;
}
.offer-card{
    background-color: var(--color-light);
    border-radius: 8px;
    padding: 48px 16px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
    text-align: center;
}
.offer h3{
    font-weight: 600;
    font-size: 20px;
}
.quote{
    padding: 128px 256px 128px 256px;
    background-color: var(--color-primary-backrgound);
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: center;

}
.quote p{
    font-size: 24px;
    font-weight: normal;
    color: var(--color-light);
    text-align: center;
    width: 700px;
}
.quote b{
    font-size: 32px;
    font-weight: bold;
    color: var(--color-light);
}
.quote-lower img{
    width: 32px;
    height: 32px;
}
.quote-lower{
    display: flex;
    gap: 16px;
    justify-content: center;
    align-items: center;
}
.quote-lower-text{
    display: flex;
    gap: 4px;
    flex-direction: column;
    align-items: start;
    text-align: start;
}
.quote-lower-text p{
    font-size: 20px;
    width: auto;
}
.quote-lower-text small{
    font-size: 12px;
    color: var(--color-light);
}
.values{
    padding: 128px 256px 128px 256px;
    background-color: var(--color-gray);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 64px;
}
.values-top-text{
    display: flex;
    flex-direction: column;
    gap: 16px;
    text-align: center;
}
.values-lower{
    display: flex;
    gap: 64px;
    max-width: 1400px;
}
.values-lower-left{
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.values-lower-left-card{
    display: flex;
    gap: 16px;
}
.values-lower-left-card-text{
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.values-lower-main-image{
    width: 50%;
    max-width: 600px;
    height: fit-content;
}
.values-icon{
    background-color: var(--color-primary-backrgound);
    padding: 8px;
    width: fit-content;
    height: fit-content;
    border-radius: 8px;
    flex-shrink: 0;
}
.values-icon img{
    width: 32px;
    height: 32px;
}
.values hr{
    border: none;
    height: 2px;
    background-color: var(--color-dark);
}
.contact{
    padding: 128px 256px 128px 256px;
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: center;
}
.contact-top{
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
}
.contact-top h2{
    text-align: center;
}
.contact-top hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.contact p{
    width: 600px;
    text-align: center;
}
.contact form{
    display: flex;
    flex-direction: column;
    gap: 16px;
    border: var(--color-gray) 2px solid;
    padding: 32px;
    border-radius: 8px;
    width: 700px;
    align-items: center;
}
.form-item{
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
}
.form-item input{
    padding: 16px;
    border: #cccccc 2px solid;
    background-color: var(--color-gray);
    border-radius: 8px;
}
.form-item textarea{
    padding: 16px;
    border: #cccccc 2px solid;
    background-color: var(--color-gray);
    border-radius: 8px;
    width: 100%;
}
.form-item label{
    font-size: 18px;
}
.form-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    width: 100%;
}

footer{
    background-color: var(--color-gray);
    display: flex;
    justify-content: center;
    padding: 128px 0px 16px 0px;
}
.footer-wrapper{
    width: 100%;
    gap: 128px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer-main-content-wrapper{
    max-width: 1400px;
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 64px;
}
.footer-main-content-padding{
    padding: 0px 256px 0px 256px;
    width: 100%;
    display: flex;
    justify-content: center;
}
.footer-main-content{
    display: flex;
    gap: 32px;
}
.footer-main-content img{
    width: 96px;
    height: 136.7px;
}
.footer-main-content-text{
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.footer-main-content-text-top{
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.footer-main-content-text-bottom{
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.footer-contact-flex{
    display: flex;
    gap: 8px;
    align-items: center;
}
.footer-contact-flex img{
    height: 12px;
    width: auto;
}
footer hr{
    height: 2px;
    width: 100%;
    border: none;
    background-color: #cccccc;
}
.footer-bottom-wrapper{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 0px 256px 0px 256px;
    align-items: center;
}
.footer-bottom{
    max-width: 1400px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 64px;
}
.footer-outside-wrapper{
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
    align-items: center;
}

.rate-quote{
    background-color: #14407f;
    height: 877px;
    padding: 128px 256px 128px 256px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 64px;
}
.rate-quote-container{
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    border-radius: 8px;
    padding: 32px;
    align-items: center;
}
.rate-quote-container hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.rate-quote-top{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.rate-quote-buttons{
    display: flex;
    gap: 16px;
    align-items: center;
}

.rate-quote-purchase{
    background-color: #14407f;
    height: auto;
    padding: 192px 256px 128px 256px;
    display: flex;
    justify-content: center;
    align-items: top;
    gap: 64px;
}
.rate-quote-purchase-container{
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    border-radius: 8px;
    padding: 32px;
    align-items: center;
}
.rate-quote-purchase-container hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.rate-quote-purchase-top{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.rate-quote-purchase form{
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: center;
}
.rate-quote-purchase-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 32px 64px;
}
.rate-quote-purchase label,p{
    font-size: 18px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.rate-quote-purchase input[type="radio"]{
    background-color: var(--color-gray);
    appearance: none;
    -webkit-appearance: none;
    width: 32px;
    height: 32px;
    border: 2px solid #cccccc;
    border-radius: 8px;
    cursor: pointer;
    display: inline-block;
    position: relative;
}
input[type="radio"]:checked {
  background-color: #2667cb;
  border-color: #2667cb;
}
input[type="radio"]:checked::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 8px;
  height: 16px;
  border: solid white;
  border-width: 0 2px 2px 0;
  transform: translate(-50%, -60%) rotate(45deg);
}
.rate-quote-purchase-form-item-container{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.rate-quote-purchase-radio-buttons{
    display: flex;
    gap: 32px;
}
.rate-quote-purchase select{
    appearance: none;
    width: 100%;
    padding: 16px;
    background-color: var(--color-gray);
    border: 2px solid #cccccc;
    border-radius: 8px;
    background-color: var(--color-gray);
    background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='20' viewBox='0 0 24 24' width='20' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/></svg>");
    background-repeat: no-repeat;
    background-position: right 10px center;
}
.rate-quote-purchase input[type="text"]{
    width: 100%;
    padding: 16px;
    background-color: var(--color-gray);
    border: 2px solid #cccccc;
    border-radius: 8px;
}
.rate-quote-purchase textarea{
    width: 100%;
    padding: 16px;
    background-color: var(--color-gray);
    border: 2px solid #cccccc;
    border-radius: 8px;
}





.rate-quote-refinance{
    background-color: #14407f;
    height: auto;
    padding: 192px 256px 128px 256px;
    display: flex;
    justify-content: center;
    align-items: top;
    gap: 64px;
}
.rate-quote-refinance-container{
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    border-radius: 8px;
    padding: 32px;
    align-items: center;
}
.rate-quote-refinance-container hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.rate-quote-refinance-top{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.rate-quote-refinance form{
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: center;
}
.rate-quote-refinance-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 32px 64px;
}
.rate-quote-refinance label,p{
    font-size: 18px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.rate-quote-refinance input[type="radio"]{
    background-color: var(--color-gray);
    appearance: none;
    -webkit-appearance: none;
    width: 32px;
    height: 32px;
    border: 2px solid #cccccc;
    border-radius: 8px;
    cursor: pointer;
    display: inline-block;
    position: relative;
}
input[type="radio"]:checked {
  background-color: #2667cb;
  border-color: #2667cb;
}
input[type="radio"]:checked::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 8px;
  height: 16px;
  border: solid white;
  border-width: 0 2px 2px 0;
  transform: translate(-50%, -60%) rotate(45deg);
}
.rate-quote-refinance-form-item-container{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.rate-quote-refinance-radio-buttons{
    display: flex;
    gap: 32px;
}
.rate-quote-refinance select{
    appearance: none;
    width: 100%;
    padding: 16px;
    background-color: var(--color-gray);
    border: 2px solid #cccccc;
    border-radius: 8px;
    background-color: var(--color-gray);
    background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='20' viewBox='0 0 24 24' width='20' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/></svg>");
    background-repeat: no-repeat;
    background-position: right 10px center;
}
.rate-quote-refinance input[type="text"]{
    width: 100%;
    padding: 16px;
    background-color: var(--color-gray);
    border: 2px solid #cccccc;
    border-radius: 8px;
}
.rate-quote-refinance textarea{
    width: 100%;
    padding: 16px;
    background-color: var(--color-gray);
    border: 2px solid #cccccc;
    border-radius: 8px;
}

.thank-you-purchase{
    background-color: #14407f;
    height: 877px;
    padding: 128px 256px 128px 256px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 64px;
}
.thank-you-purchase-container{
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    border-radius: 8px;
    padding: 32px;
    align-items: center;
    width: 600px;
}
.thank-you-purchase-container hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.thank-you-purchase-container-top{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.thank-you-purchase p{
    text-align: center;
}



.thank-you-refinance{
    background-color: #14407f;
    height: 877px;
    padding: 128px 256px 128px 256px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 64px;
}
.thank-you-refinance-container{
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    border-radius: 8px;
    padding: 32px;
    align-items: center;
    width: 600px;
}
.thank-you-refinance-container hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.thank-you-refinance-container-top{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.thank-you-refinance p{
    text-align: center;
}

.thank-you-contact{
    background-color: #14407f;
    height: 877px;
    padding: 128px 256px 128px 256px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 64px;
}
.thank-you-contact-container{
    background-color: var(--color-light);
    display: flex;
    flex-direction: column;
    gap: 32px;
    border-radius: 8px;
    padding: 32px;
    align-items: center;
    width: 600px;
}
.thank-you-contact-container hr{
    background-color: var(--color-primary-backrgound);
    height: 8px;
    border: none;
    width: 64px;
}
.thank-you-contact-container-top{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.thank-you-contact p{
    text-align: center;
}


.hero-image-wrapper{
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 35%;
    max-width: 400px;
    align-items: center;
}
.hero-image-wrapper p{
    color: var(--color-light);
    text-align: center;
    
}

@media screen and (max-width: 1280px){
    header{
        padding: 0px 32px;
    }
    .hero{
        padding: 128px 32px 0px 32px;;
    }
    .hero-image-wrapper{
        display: none;
    }
    .solutions-image{
        width: 100%;
    }
    .solutions{
        padding: 128px 32px 128px 32px;
    }
    .solutions-wrapper{
        flex-direction: column;
        justify-content: start;
        align-items: start;
    }
    .solutions-content{
        width: 100%;
    }
    .solutions-ul-flex{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .offer{
        padding: 128px 32px 128px 32px;
    }
    .offer-grid{
        grid-template-columns: 1fr;
    }
    .quote{
        padding: 128px 32px 128px 32px;
    }
    .quote p{
        width: 100%;
    }
    .values{
        padding: 128px 32px 128px 32px;
    }
    .values-lower{
        display: flex;
        gap: 64px;
        flex-direction: column-reverse;
    }
    .values-lower img{
        width: 100%;
    }
    .contact{
        padding: 128px 32px 128px 32px;
    }
    .contact p{
        width: 100%;
    }
    .contact form{
        padding: 16px;
        width: 100%;
    }
    footer{
        padding: 128px 0px 32px 0px;
    }
    
    .footer-main-content-wrapper{
        flex-direction: column;
        align-items: center;
        gap: 64px;
    }
    .footer-main-content-padding{
        padding: 0px 32px 0px 32px;
    }
    .footer-bottom-wrapper{
        padding: 0px 32px 0px 32px;
    }
    .rate-quote{
        padding: 128px 32px 128px 32px;
    }
    .thank-you-purchase{
        padding: 128px 32px 128px 32px;
    }
    .rate-quote-purchase{
        padding: 192px 32px 128px 32px;
    }
    .rate-quote-refinance{
        padding: 192px 32px 128px 32px;
    }
    .thank-you-refinance{
        padding: 128px 32px 128px 32px;
    }
    .thank-you-contact{
        padding: 128px 32px 128px 32px;
    }
}